import{s as yt,n as wt,o as kt}from"../chunks/scheduler.9039eef2.js";import{S as Ct,i as Ht,g as s,s as l,r as Z,A as Mt,h as r,f as n,c as a,j as bt,u as tt,x as o,k as _t,y as Pt,a as i,v as et,d as nt,t as it,w as lt}from"../chunks/index.cdcc3d35.js";import{H as at}from"../chunks/Heading.96ce3702.js";function zt(st){let m,z,M,B,p,S,u,rt="How fast is Llama-2-13b on Inferentia2?  Let’s figure out!",A,f,ot="For this benchmark we will use the following configurations:",I,h,mt="<thead><tr><th>Model type</th> <th>batch_size</th> <th>sequence_length</th></tr></thead> <tbody><tr><td>Llama2 13B BS1</td> <td>1</td> <td>4096</td></tr> <tr><td>Llama2 13B BS4</td> <td>4</td> <td>4096</td></tr> <tr><td>Llama2 13B BS8</td> <td>8</td> <td>4096</td></tr> <tr><td>Llama2 13B BS16</td> <td>16</td> <td>4096</td></tr></tbody>",q,c,pt="<em>Note: all models are compiled to use 4 devices corresponding to 8 cores on the <code>inf2.48xlarge</code> instance.</em>",E,d,ut='<em>Note: please refer to the <a href="https://aws.amazon.com/ec2/instance-types/inf2/" rel="nofollow">inferentia2 product page</a> for details on the available instances.</em>',j,g,R,v,ft=`The time to first token is the time required to process the input tokens and generate the first output token.
It is a very important metric, as it corresponds to the latency directly perceived by the user when streaming generated tokens.`,W,x,ht="We test the time to first token for increasing context sizes, from a typical Q/A usage, to heavy Retrieval Augmented Generation (RAG) use-cases.",F,T,ct="Time to first token is expressed in <strong>seconds</strong>.",G,L,dt='<img src="https://raw.githubusercontent.com/huggingface/optimum-neuron/main/docs/assets/benchmarks/inferentia-llama2-13b/ttft.png" alt="Llama2 13b inferentia2 TTFT" title="Time to first token"/>',N,$,U,b,gt="The inter-token latency corresponds to the average time elapsed between two generated tokens.",Q,_,vt="It is expressed in <strong>milliseconds</strong>.",D,y,xt='<img src="https://raw.githubusercontent.com/huggingface/optimum-neuron/main/docs/assets/benchmarks/inferentia-llama2-13b/latency.png" alt="Llama2 13b inferentia2 inter-token latency" title="Inter-token latency"/>',J,w,K,k,Tt=`Unlike some other benchmarks, we evaluate the throughput using generated tokens only, by dividing their number
by the end-to-end latency.`,O,C,Lt="Throughput is expressed in <strong>tokens/second</strong>.",V,H,$t='<img src="https://raw.githubusercontent.com/huggingface/optimum-neuron/main/docs/assets/benchmarks/inferentia-llama2-13b/throughput.png" alt="Llama2 13b inferentia2 throughput" title="Throughput"/>',X,P,Y;return p=new at({props:{title:"Llama-2-13b performance on AWS Inferentia2 (Latency & Througput)",local:"llama-2-13b-performance-on-aws-inferentia2-latency--througput",headingTag:"h1"}}),g=new at({props:{title:"Time to first token",local:"time-to-first-token",headingTag:"h2"}}),$=new at({props:{title:"Inter-token Latency",local:"inter-token-latency",headingTag:"h2"}}),w=new at({props:{title:"Throughput",local:"throughput",headingTag:"h3"}}),{c(){m=s("meta"),z=l(),M=s("p"),B=l(),Z(p.$$.fragment),S=l(),u=s("p"),u.textContent=rt,A=l(),f=s("p"),f.textContent=ot,I=l(),h=s("table"),h.innerHTML=mt,q=l(),c=s("p"),c.innerHTML=pt,E=l(),d=s("p"),d.innerHTML=ut,j=l(),Z(g.$$.fragment),R=l(),v=s("p"),v.textContent=ft,W=l(),x=s("p"),x.textContent=ht,F=l(),T=s("p"),T.innerHTML=ct,G=l(),L=s("p"),L.innerHTML=dt,N=l(),Z($.$$.fragment),U=l(),b=s("p"),b.textContent=gt,Q=l(),_=s("p"),_.innerHTML=vt,D=l(),y=s("p"),y.innerHTML=xt,J=l(),Z(w.$$.fragment),K=l(),k=s("p"),k.textContent=Tt,O=l(),C=s("p"),C.innerHTML=Lt,V=l(),H=s("p"),H.innerHTML=$t,X=l(),P=s("p"),this.h()},l(t){const e=Mt("svelte-u9bgzb",document.head);m=r(e,"META",{name:!0,content:!0}),e.forEach(n),z=a(t),M=r(t,"P",{}),bt(M).forEach(n),B=a(t),tt(p.$$.fragment,t),S=a(t),u=r(t,"P",{"data-svelte-h":!0}),o(u)!=="svelte-1eecwlw"&&(u.textContent=rt),A=a(t),f=r(t,"P",{"data-svelte-h":!0}),o(f)!=="svelte-18zzjby"&&(f.textContent=ot),I=a(t),h=r(t,"TABLE",{"data-svelte-h":!0}),o(h)!=="svelte-9s5x0t"&&(h.innerHTML=mt),q=a(t),c=r(t,"P",{"data-svelte-h":!0}),o(c)!=="svelte-tktwzm"&&(c.innerHTML=pt),E=a(t),d=r(t,"P",{"data-svelte-h":!0}),o(d)!=="svelte-1zgafe"&&(d.innerHTML=ut),j=a(t),tt(g.$$.fragment,t),R=a(t),v=r(t,"P",{"data-svelte-h":!0}),o(v)!=="svelte-16f7nw9"&&(v.textContent=ft),W=a(t),x=r(t,"P",{"data-svelte-h":!0}),o(x)!=="svelte-e39hxg"&&(x.textContent=ht),F=a(t),T=r(t,"P",{"data-svelte-h":!0}),o(T)!=="svelte-1et04dj"&&(T.innerHTML=ct),G=a(t),L=r(t,"P",{"data-svelte-h":!0}),o(L)!=="svelte-1x8wxqs"&&(L.innerHTML=dt),N=a(t),tt($.$$.fragment,t),U=a(t),b=r(t,"P",{"data-svelte-h":!0}),o(b)!=="svelte-13h9pgw"&&(b.textContent=gt),Q=a(t),_=r(t,"P",{"data-svelte-h":!0}),o(_)!=="svelte-1ahl198"&&(_.innerHTML=vt),D=a(t),y=r(t,"P",{"data-svelte-h":!0}),o(y)!=="svelte-1e05nx9"&&(y.innerHTML=xt),J=a(t),tt(w.$$.fragment,t),K=a(t),k=r(t,"P",{"data-svelte-h":!0}),o(k)!=="svelte-1a309vq"&&(k.textContent=Tt),O=a(t),C=r(t,"P",{"data-svelte-h":!0}),o(C)!=="svelte-14m9i5e"&&(C.innerHTML=Lt),V=a(t),H=r(t,"P",{"data-svelte-h":!0}),o(H)!=="svelte-fx989z"&&(H.innerHTML=$t),X=a(t),P=r(t,"P",{}),bt(P).forEach(n),this.h()},h(){_t(m,"name","hf:doc:metadata"),_t(m,"content",Bt)},m(t,e){Pt(document.head,m),i(t,z,e),i(t,M,e),i(t,B,e),et(p,t,e),i(t,S,e),i(t,u,e),i(t,A,e),i(t,f,e),i(t,I,e),i(t,h,e),i(t,q,e),i(t,c,e),i(t,E,e),i(t,d,e),i(t,j,e),et(g,t,e),i(t,R,e),i(t,v,e),i(t,W,e),i(t,x,e),i(t,F,e),i(t,T,e),i(t,G,e),i(t,L,e),i(t,N,e),et($,t,e),i(t,U,e),i(t,b,e),i(t,Q,e),i(t,_,e),i(t,D,e),i(t,y,e),i(t,J,e),et(w,t,e),i(t,K,e),i(t,k,e),i(t,O,e),i(t,C,e),i(t,V,e),i(t,H,e),i(t,X,e),i(t,P,e),Y=!0},p:wt,i(t){Y||(nt(p.$$.fragment,t),nt(g.$$.fragment,t),nt($.$$.fragment,t),nt(w.$$.fragment,t),Y=!0)},o(t){it(p.$$.fragment,t),it(g.$$.fragment,t),it($.$$.fragment,t),it(w.$$.fragment,t),Y=!1},d(t){t&&(n(z),n(M),n(B),n(S),n(u),n(A),n(f),n(I),n(h),n(q),n(c),n(E),n(d),n(j),n(R),n(v),n(W),n(x),n(F),n(T),n(G),n(L),n(N),n(U),n(b),n(Q),n(_),n(D),n(y),n(J),n(K),n(k),n(O),n(C),n(V),n(H),n(X),n(P)),n(m),lt(p,t),lt(g,t),lt($,t),lt(w,t)}}}const Bt='{"title":"Llama-2-13b performance on AWS Inferentia2 (Latency & Througput)","local":"llama-2-13b-performance-on-aws-inferentia2-latency--througput","sections":[{"title":"Time to first token","local":"time-to-first-token","sections":[],"depth":2},{"title":"Inter-token Latency","local":"inter-token-latency","sections":[{"title":"Throughput","local":"throughput","sections":[],"depth":3}],"depth":2}],"depth":1}';function St(st){return kt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Et extends Ct{constructor(m){super(),Ht(this,m,St,zt,yt,{})}}export{Et as component};
